<?php
/**
* Zoom Tab Class for handling the CB tab api
* @package Community Builder
* @author Unknown, PeterMixt, JoomlaJoe, Beat
*/
class getZoomTab extends cbTabHandler {
	/**
	* Constructor
	*/
	function getZoomTab() {
		$this->cbTabHandler();
	}
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated
	*/	
	function getDisplayTab($tab,$user,$ui) {
		global $database,$mosConfig_live_site,$acl,$my,$mosConfig_absolute_path;
		$return="";
		if(!file_exists('components/com_zoom/etc/zoom_config.php')){
			return _UE_ZOOMNOTINSTALLED;
		}
		$params=$this->params;
		$imgNumberPerPage = $params->get('imgNumberPerPage', '10');
		$imgTextIfNoImg = $params->get('imgTextnoImg', _UE_NOZOOMIMGS);
		$imgTextAbovePics = $params->get('imgTextAbovePics', _UE_ZOOMGALLERY);
		if ($imgTextAbovePics == "") $imgTextAbovePics = "&nbsp;";
		$imgPhotoName = $params->get('imgPhotoName', '1');
		$imgSortByAllowed = $params->get('imgSortByAllowed', 0);
		
		$pagingParams = $this->_getPaging(array(),array("img_"));
		
		if ($imgSortByAllowed != '1') $pagingParams["img_sortby"] = null;
		switch ($pagingParams["img_sortby"]) {
			case "category":
				$order = "z.catname ASC, zf.imgdate DESC";
				break;
			case "hits":
				$order = "zf.imghits DESC, zf.imgdate DESC";
				break;
			case "date":
			default:
				$order = "zf.imgdate DESC, zf.imghits DESC";
				break;
		}

		$queryGet = "SELECT zf.imgid, zf.imgfilename, zf.imgname, zf.imgdate, zf.imghits, zf.imgdescr, zf.published, zf.catid, zf.uid, z.catdir, z.catname";
		$queryCount = "SELECT COUNT(zf.imgfilename)";
		$queryRest = "\n FROM #__zoomfiles zf"
				. "\n INNER JOIN #__zoom z ON zf.catid=z.catid"
				. "\n WHERE zf.uid=".$user->id;
		$queryLimit = "\n ORDER  BY ".$order
		. "\n LIMIT ".($pagingParams["img_limitstart"]?$pagingParams["img_limitstart"]:"0").",".$imgNumberPerPage;

		
		$database->setQuery($queryCount.$queryRest);
		$total = $database->loadResult();
			
		if($total<1) {
			if ($imgTextIfNoImg) {
				if ($tab->description != null) $return .= "\t\t<div class=\"tab_Description\">".unHtmlspecialchars(getLangDefinition($tab->description))."</div>\n";
				$return .= $imgTextIfNoImg;
			}
			return $return;
		} 

		if ($tab->description != null) $return .= "\t\t<div class=\"tab_Description\">".unHtmlspecialchars(getLangDefinition($tab->description))."</div>\n";

		$database->setQuery ($queryGet.$queryRest.$queryLimit);
		$photos = $database->loadObjectList();
		
		$database->setQuery("SELECT id FROM #__menu WHERE link = 'index.php?option=com_zoom' AND published=1");
		$Itemid = $database->loadResult();
		if ($Itemid) $itemurl = "&amp;Itemid=".$Itemid;
		else $itemurl = "";

                $ZoomPath =$params->get('ZoomPath') ;
		
		if ($imgSortByAllowed) {
			$return.= "<div class=\"cbZoomSorting\" style=\"margin-bottom:10px;\">".sprintf(_UE_CLICKTOSORTBY, ":");
			$return .= "<span style=\"margin:12px;\">".$this->_writeSortByLink($pagingParams,"img_","date",_UE_FORUMDATE,true)."</span>";
			$return .= "<span style=\"margin:12px;\">".$this->_writeSortByLink($pagingParams,"img_","category",_UE_FORUMCATEGORY)."</span>";
			$return .= "<span style=\"margin:12px;\">".$this->_writeSortByLink($pagingParams,"img_","hits",_UE_FORUMHITS)."</span>";
			$return.= "</div>";
		}
		
		foreach ($photos as $photo) {
			$thumbphoto = $photo->imgfilename;
			$photoname = $photo->imgname;
			$photoname = wordwrap($photoname, 8, "\n", 1);

			$imgdir = $photo->catdir;
			$thumbpath = "/thumbs/";

			$imgsize=getimagesize($mosConfig_absolute_path.$ZoomPath.$photo->catdir."/".$photo->imgfilename);
			$imgWidth = ($imgsize[0]+20);
			$imgHeight = ($imgsize[1]+20);
					
			$return.= "<div class=\"containerBox\">";
			$return.= "<a href=\"".sefRelToAbs("index.php?option=com_zoom".$itemurl."&amp;catid=".$photo->catid)."\"><b>".$imgTextAbovePics."</b></a><br />";
			$return.= "<a href=\"".sefRelToAbs("index.php?option=com_zoom".$itemurl."&amp;catid=".$photo->catid)."\">"
					."<img src=\"$ZoomPath$photo->catdir$thumbpath$thumbphoto\" border=\"0\" alt=\"\" title=\"".htmlentities(stripslashes($photo->imgdescr))."\" />"
					."</a>\n";
			
			if ($imgPhotoName == 1) {
				$return.= "<br />".htmlentities(str_replace("\n"," ",stripslashes($photoname)))."\n";
			}
		
			$return.= "</div>";

		}
		$return .= "<div style=\"clear:both;\">&nbsp;</div>";
		if ($imgNumberPerPage < $total) {
			$return .= "<div style='width:95%;text-align:center;'>"
			.$this->_writePaging($pagingParams, "img_", $imgNumberPerPage, $total)
			."</div>";
		}
		return $return;
	}
}	// end class getZoomTab.

?>